## piuparts 0.7

=== Makefile ===
prefix = /usr/local
sbindir = $(prefix)/sbin
sharedir = $(prefix)/share
mandir = $(sharedir)/man
man1dir = $(mandir)/man1

# mirror = -m 'http://liw.iki.fi/debian main'

all: piuparts.1

piuparts.1: piuparts.docbook
	docbook2x-man piuparts.docbook

install: all
	install -d $(sbindir) $(man1dir)
	install -m 0644 piuparts.1 $(man1dir)
	gzip -9f $(man1dir)/piuparts.1
	install piuparts.py $(sbindir)/piuparts

# The 'check' target probably only works for me. Sorry. Eventually this
# should get a proper test suite, but that's for a later day.
check:
	python piuparts.py $(mirror) -l tmp.log -d sarge test-debs/liwc*.deb
	python piuparts.py $(mirror) -l tmp2.log -d sarge -d etch test-debs/liwc*.deb
	python piuparts.py $(mirror) -l tmp3.log -d sarge -d etch -a liwc

clean:
	rm -rf tmp* piuparts.1

## piuparts 0.14

=== Makefile ===
prefix = /usr/local
sbindir = $(prefix)/sbin
sharedir = $(prefix)/share
mandir = $(sharedir)/man
man1dir = $(mandir)/man1
libdir = $(prefix)/lib
site23 = $(libdir)/python2.3/site-packages
site24 = $(libdir)/python2.4/site-packages
etcdir = $(prefix)/etc

# mirror = -m 'http://liw.iki.fi/debian main'
ignore = -I fdmount

all: piuparts.1

piuparts.1: piuparts.docbook
	docbook2x-man piuparts.docbook

install: all
	install -d $(sbindir) 
	install piuparts.py $(sbindir)/piuparts

	install -d $(man1dir) 
	install -m 0644 piuparts.1 $(man1dir)
	gzip -9f $(man1dir)/piuparts.1

	install -d $(sharedir)/piuparts
	for file in piuparts-slave piuparts-master piuparts-report; do \
	    sed "/^CONFIG_FILE = /s:\".*\":\"/etc/piuparts/$$file.conf\":" \
	        $$file.py > $(sharedir)/piuparts/$$file.py; done
	chmod +x $(sharedir)/piuparts/*.py

	install -d $(site23)/piupartslib
	install -d $(site24)/piupartslib
	install -m 0644 piupartslib/*.py $(site23)/piupartslib
	install -m 0644 piupartslib/*.py $(site24)/piupartslib

	install -d $(etcdir)/piuparts
	for x in master slave report; do \
	    install -m 0644 piuparts-$$x.conf.sample \
	                    $(etcdir)/piuparts/piuparts-$$x.conf; done

# The 'check' target probably only works for me. Sorry. Eventually this
# should get a proper test suite, but that's for a later day.
check:
	python piuparts.py $(mirror) $(ignore) -l tmp.log -d sarge test-debs/liwc*.deb
	python piuparts.py $(mirror) $(ignore) -l tmp2.log -d sarge -d etch test-debs/liwc*.deb
	python piuparts.py $(mirror) $(ignore) -l tmp3.log -d sarge -d etch -a liwc

clean:
	rm -rf tmp* piuparts.1

## piuparts 0.20

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 etcdir = $(prefix)/etc
 
 # mirror = -m 'http://liw.iki.fi/debian main'
-ignore = -I fdmount
+ignore = -I fdmount -N
 
 all: piuparts.1
 
@@ -25,9 +25,10 @@
 	gzip -9f $(man1dir)/piuparts.1
 
 	install -d $(sharedir)/piuparts
-	for file in piuparts-slave piuparts-master piuparts-report; do \
+	for file in piuparts-slave piuparts-master; do \
 	    sed "/^CONFIG_FILE = /s:\".*\":\"/etc/piuparts/$$file.conf\":" \
 	        $$file.py > $(sharedir)/piuparts/$$file.py; done
+	install piuparts-analyze.py $(sharedir)/piuparts/piuparts-analyze
 	chmod +x $(sharedir)/piuparts/*.py
 
 	install -d $(site23)/piupartslib
@@ -36,16 +37,20 @@
 	install -m 0644 piupartslib/*.py $(site24)/piupartslib
 
 	install -d $(etcdir)/piuparts
-	for x in master slave report; do \
+	for x in master slave; do \
 	    install -m 0644 piuparts-$$x.conf.sample \
 	                    $(etcdir)/piuparts/piuparts-$$x.conf; done
 
 # The 'check' target probably only works for me. Sorry. Eventually this
 # should get a proper test suite, but that's for a later day.
-check:
+check: unittests
 	python piuparts.py $(mirror) $(ignore) -l tmp.log -d sarge test-debs/liwc*.deb
 	python piuparts.py $(mirror) $(ignore) -l tmp2.log -d sarge -d etch test-debs/liwc*.deb
 	python piuparts.py $(mirror) $(ignore) -l tmp3.log -d sarge -d etch -a liwc
 
+unittests:
+	python piuparts.py unittest
+	python unittests.py
+
 clean:
 	rm -rf tmp* piuparts.1

## piuparts 0.30ubuntu1

=== Makefile ===
prefix = /usr/local
sbindir = $(prefix)/sbin
sharedir = $(prefix)/share
mandir = $(sharedir)/man
man1dir = $(mandir)/man1
libdir = $(prefix)/lib
site24 = $(libdir)/python2.4/site-packages
site25 = $(libdir)/python2.5/site-packages
etcdir = $(prefix)/etc
version=${shell dpkg-parsechangelog | sed -n 's/^Version: *//p'}


# mirror = -m 'http://liw.iki.fi/debian main'
ignore = -I fdmount -N

all: piuparts.1 

piuparts.1: piuparts.docbook
	docbook2x-man --encoding=utf-8 piuparts.docbook

install: all
	install -d $(sbindir) 
	echo $(version)
	sed -e 's/__PIUPARTS_VERSION__/$(version)/g' piuparts.py > piuparts
	install piuparts $(sbindir)/piuparts

	install -d $(man1dir) 
	install -m 0644 piuparts.1 $(man1dir)
	gzip -9f $(man1dir)/piuparts.1

	install -d $(sharedir)/piuparts
	for file in piuparts-slave piuparts-master; do \
	    sed "/^CONFIG_FILE = /s:\".*\":\"/etc/piuparts/$$file.conf\":" \
	        $$file.py > $(sharedir)/piuparts/$$file.py; done
	install piuparts-analyze.py $(sharedir)/piuparts/piuparts-analyze
	chmod +x $(sharedir)/piuparts/*.py

	install -d $(site24)/piupartslib
	install -d $(site25)/piupartslib
	install -m 0644 piupartslib/*.py $(site24)/piupartslib
	install -m 0644 piupartslib/*.py $(site25)/piupartslib

	install -d $(etcdir)/piuparts
	for x in master slave; do \
	    install -m 0644 piuparts-$$x.conf.sample \
	                    $(etcdir)/piuparts/piuparts-$$x.conf; done

check:
	python piuparts.py unittest
	python unittests.py

clean:
	rm -rf piuparts.1 piuparts

=== debian/changelog ===
piuparts (0.30ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - Add /var/log/auth.log to ignored_files.
    - Do not ignore errors during packages install.
  * debian/control
    - Update Maintainer field as per spec.
  * Feature Freeze exception granted (LP: #175821).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 19 Feb 2008 16:42:56 +0100

piuparts (0.30) unstable; urgency=low

  * piuparts.py:
    - Implement Chroot.create_temp_tgz_file() (since it's used in the VirtServ
      subclass)
    - Fix a typo -- chroot.create_temp_tgz() was being called instead of
      chroot.create_temp_tgz_file() (Closes: #465416)

 -- John Wright <jsw@debian.org>  Thu, 14 Feb 2008 20:32:35 -0700

piuparts (0.29) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Updated uploaders, remove Amaya and Alastair.

  [ Lars Wirzenius ]
  * piuparts.py: Call "apt-get update" before calling Chroot.minimize, so
    that we can find the debfoster package on Ubuntu.
  * debian/control: Fixed "Uploaders:" to have my preferred e-mail address
    (liw@iki.fi) instead of my Debian one.
  * piuparts.py: Added -D option to set Debian flavor, plus two sets of
    default settings depending on the flavor, one for Debian itself, and
    another for Ubuntu. The settings choose default mirror and distribution
    set (sid vs gutsy). This will allow an Ubuntu version of the package
    to set defaults at package building time.
  * piuparts.py: Report target of broken symlink correctly, instead of
    saying "True".
  * piuparts.py: Use lsb-release to guess the Debian flavor.
  * debian/control: Added dependency on lsb-release.
  * piuparts-master.py: Make the master write summary of total pass/fail
    packages, plus status per binary package. This is for having the
    Debian PTS and the Ubuntu developer weather report show summaries
    of piuparts results.
  * integraged changes from Ubuntu by Ian Jackson to support autopkgtest.
  * wrapped long lines in debian/control.

  [ Holger Levsen ]
  * Added myself to uploaders.
  * Added Homepage: header to debian/control and changed the homepage to be
    http://wiki.debian.org/piuparts.
  * Use Vcs-* headers in debian/control instead of XS-Vcs-*.
  * Bumped policy version to 3.7.3.
  * Updated download location in debian/copyright.

  [ John Wright ]
  * Change the --warn-on-others implementation to create a dummy metapackage
    with the needed dependencies and install it in the chroot, rather than
    using "apt-get install package package-".  The previous implementation
    had issues when the package was already installed (and especially if the
    package had essential packages in its reverse dependencies).  This has
    the pleasant side-effect of making --warn-on-others work both with and
    without --apt. (Closes: #458929)
  * Fix a bug in check_for_broken_symlinks(): the targets for the broken
    symlinks (used for logging) were being read from files on the real root
    filesystem, rather than in the chroot.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 01 Feb 2008 16:38:38 +0200

piuparts (0.28) unstable; urgency=low

  * Fix an UnboundLocalError introduced in the --warn-on-others fix that would
    occur if run without the --apt option. (Closes: #443641)

 -- John Wright <jsw@debian.org>  Sat, 22 Sep 2007 23:32:17 -0600

piuparts (0.27) unstable; urgency=low

  * Add support for testing multiple distributions and architectures to
    piuparts-master.py and piuparts-slave.py.  Please see the README file,
    piuparts-master.conf.sample and piuparts-slave.conf.sample for more
    details. (Closes: #349365)
  * Fix the --warn-on-others option.  Now, dependencies are installed before
    the packages we wish to test, and an inventory is taken then, so that we
    can know which errors were caused by the packages explicitly specified on
    the command-line.  Currently, this requires --apt, and doesn't work quite
    as advertised if there are circular dependencies with the packages you wish
    to test (see the man page for more details). (Closes: #440310)
  * debian/control:
    - Update my email address in the Uploaders field

 -- John Wright <jsw@debian.org>  Sun, 16 Sep 2007 22:28:14 -0600

piuparts (0.26) unstable; urgency=low

  * Update list of ignored files. (Closes: #439592)
  * In the cron test, not executable files are not run. (Closes: #440141)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 31 Aug 2007 15:44:36 +0200

piuparts (0.25) unstable; urgency=low

  * Add the option to run custom scripts inside the piuparts chroot.
    Scripts are stored in a directory and give it as argument with the
    option --scriptsdir=/dir/with/the/scripts
    This feature is still experimental :)
  * Add custom-scripts.txt with information about the custom scripts.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 28 Aug 2007 14:39:32 +0200

piuparts (0.24) unstable; urgency=low

  * Add /var/lib/apt/extended_states to ignored_files. Thanks Anibal!
   (Closes: #434980)
  * Add quick howto about how to use piuparts under docs.
  * Add test that checks the output from the cron files left in the system
    after removing a package. This includes the option --skip-cronfiles-test,
    to allow skipping this test.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 20 Aug 2007 10:27:29 +0200

piuparts (0.23) unstable; urgency=low

  * Cosmetic change, now file owner and file are shown in the same line.
  * Add option --list-installed-files, that list files added/removed/modified 
    to the chroot after the package's installation.  (Closes: #431821)
  * Add option --no-upgrade-test, that allows skip testing upgrade from an 
    existing version in the archive. (Closes: #349933)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 10 Jul 2007 19:47:21 +0200

piuparts (0.22) unstable; urgency=low

  [ John Wright ]
  * debian/control:
    - Add XS-Vcs-Svn and XS-Vcs-Browser fields

  [ Ana Beatriz Guerrero Lopez ]


=== debian/control ===
Source: piuparts
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Uploaders: Lars Wirzenius <liw@iki.fi>, 
    Bill Allombert <ballombe@debian.org>, 
    Ian Jackson <iwj@debian.org>, 
    John Wright <jsw@debian.org>, 
    Ana Beatriz Guerrero Lopez <ana@debian.org>, 
    Holger Levsen <holger@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.7.3
Build-Depends-Indep: docbook2x, python-support
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/
Homepage: http://wiki.debian.org/piuparts

Package: piuparts
Architecture: all
Depends: apt, python (>> 2.3), debootstrap (>= 0.3.3), lsof, lsb-release, 
    python-debian (>= 0.1.4)
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 . 
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
XB-Python-Version: all

=== debian/rules ===
#!/usr/bin/make -f

P = piuparts

build:

binary: binary-arch binary-indep

binary-indep: build
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -m 0644 debian/conffiles debian/tmp/DEBIAN/conffiles
	install -d debian/tmp/usr/sbin
	install -d debian/tmp/usr/share/doc/$P
	install -d debian/tmp/usr/share/man/man1
	$(MAKE) prefix=debian/tmp/usr etcdir=debian/tmp/etc install
	sed -i 's,^#!/usr/sbin/python$$,&2.3,' debian/tmp/usr/sbin/piuparts
	install -m 0644 debian/changelog \
	    debian/tmp/usr/share/doc/$P/changelog.Debian
	install -m 0644 ChangeLog debian/tmp/usr/share/doc/$P/changelog
	install -m 0644 README debian/tmp/usr/share/doc/$P
	install -m 0644 how-to-use-piuparts.txt debian/tmp/usr/share/doc/$P
	install -m 0644 custom-scripts.txt debian/tmp/usr/share/doc/$P
	gzip -9 debian/tmp/usr/share/doc/$P/*
	install -m 0644 debian/copyright debian/tmp/usr/share/doc/$P
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
	dpkg --build debian/tmp ..

binary-arch:

clean:
	$(MAKE) clean
	rm -rf debian/files debian/substvars debian/tmp

checkversion:
	v1=$$(sed -n '/^VERSION = /s/.*"\(.*\)".*/\1/p' piuparts.py); \
	v2=$$(dpkg-parsechangelog|sed -n 's/^Version: \(.*\)-[^-]*$$/\1/p'); \
	if [ "$$v1" != "$$v2" ]; then \
	    echo "Upstream version $$v1 != Debian version $$v2"; exit 1; fi

## piuparts 0.31

=== debian/changelog ===
piuparts (0.31) unstable; urgency=low

  [ Lars Wirzenius ]
  * piuparts.docbook: Added a few words of description of the tarball
    that -b expects. (Closes: 466048)

  [ Lucas Nussbaum ]
  * Added a --debfoster-options option, to allow the user to override
    debfoster's default options and test with more packages installed
    in the chroot. (Closes: #458922)
  * Mention piuparts -s in in how-to-use-piuparts.txt.
  * Finally fixes the check for broken symlinks. Thanks go to
    Tobias Grimm for the patch. (Closes: #468157, 478587)
  * Ignore /var/cache/ldconfig/aux-cache.
  * Added myself to uploaders.
  * Keep /proc mounted. Switch to calling tar directly in
    pack_into_tgz(). Minor refactorings. Thanks go to Tobias Grimm
    for the patch. (Closes: #478577)
  * Move piuparts to priority: extra, since it depends on debootstrap which
    is extra. (Closes: #477634)

  [ Luk Claes ]
  * Added -w to lsof call to suppress warnings. (Closes: #466102).

  [ Holger Levsen ]
  * Add a copyright statement to debian/copyright.
  * Add support for post_upgrade custom script.
  * Minor fixes in how-to-use-piuparts.txt.
  * piuparts.docbook: Correct the path to dtd, it's
    /usr/share/xml/docbook/schema/dtd/4.1.2/docbookx.dtd and add a
    build-dependency for docbook-xml

 -- Holger Levsen <holger@debian.org>  Sun, 11 May 2008 22:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: piuparts
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders: Lars Wirzenius <liw@iki.fi>, 
     Bill Allombert <ballombe@debian.org>, 
     Ian Jackson <iwj@debian.org>, 
     John Wright <jsw@debian.org>, 
     Ana Beatriz Guerrero Lopez <ana@debian.org>, 
-    Holger Levsen <holger@debian.org>
+    Holger Levsen <holger@debian.org>,
+    Lucas Nussbaum <lucas@lucas-nussbaum.net>
 Section: devel
-Priority: optional
+Priority: extra
 Standards-Version: 3.7.3
-Build-Depends-Indep: docbook2x, python-support
+Build-Depends-Indep: docbook2x, python-support, docbook-xml
 XS-Python-Version: all
 Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/

## piuparts 0.31ubuntu1

=== debian/changelog ===
piuparts (0.31ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add /var/log/auth.log to ignored_files.
    - Do not ignore errors during packages install.
    - debian/control: update Maintainer field as per spec.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 23 May 2008 13:36:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: piuparts
-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders: Lars Wirzenius <liw@iki.fi>, 
     Bill Allombert <ballombe@debian.org>, 
     Ian Jackson <iwj@debian.org>,

## piuparts 0.35ubuntu1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 mandir = $(sharedir)/man
 man1dir = $(mandir)/man1
 libdir = $(prefix)/lib
-site24 = $(libdir)/python2.4/site-packages
 site25 = $(libdir)/python2.5/site-packages
+site26 = $(libdir)/python2.6/dist-packages
 etcdir = $(prefix)/etc
 version=${shell dpkg-parsechangelog | sed -n 's/^Version: *//p'}
 
@@ -35,10 +35,10 @@
 	install piuparts-analyze.py $(sharedir)/piuparts/piuparts-analyze
 	chmod +x $(sharedir)/piuparts/*.py
 
-	install -d $(site24)/piupartslib
 	install -d $(site25)/piupartslib
-	install -m 0644 piupartslib/*.py $(site24)/piupartslib
+	install -d $(site26)/piupartslib
 	install -m 0644 piupartslib/*.py $(site25)/piupartslib
+	install -m 0644 piupartslib/*.py $(site26)/piupartslib
 
 	install -d $(etcdir)/piuparts
 	for x in master slave; do \

=== debian/changelog ===
piuparts (0.35ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - Build for Python 2.6 too, no longer do it for 2.4, unsupported.
  * Set default Ubuntu distribution to jaunty.
  * In Ubuntu, debfoster tries to remove packages with priority required
    even if MaxPriority=required is used. Setting MaxPriority to important
    reduces the number of packages to be removed as well as false positives
    generated by unwanted package removals. This can be dropped if a
    proper fix for debfoster is found.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 16 Mar 2009 21:43:57 +0100

piuparts (0.35) unstable; urgency=medium

  * Fix recursive failure which occured when selinux-utils was installed but
    not enabled. Thanks to Peter De Wachter for the patch. (Closes: #519017)
  * Output path to temp directory if -k is used. (Closes: #466112)

 -- Holger Levsen <holger@debian.org>  Tue, 10 Mar 2009 00:43:22 +0100

piuparts (0.34) unstable; urgency=low

  [ Holger Levsen ]
  * Mount /selinux on systems where selinux is enabled. Thanks to Filippo
    Giunchedi for the patch! (CLoses: 507171)
  * Remove wrong advice in debian/copyright which irritated lintian.

  [ Filippo Giunchedi ]
  * Check for any output when running cron files in addition to exit code

 -- Holger Levsen <holger@debian.org>  Fri, 27 Feb 2009 12:34:31 +0100

piuparts (0.33ubuntu2) jaunty; urgency=low

  * Build for python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2009 17:57:05 +0100

piuparts (0.33ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #295948), remaining changes:
    - Add /var/log/auth.log to ignored_files.
    - Do not ignore errors during packages install.

 -- Iulian Udrea <iulian@ubuntu.com>  Sat, 08 Nov 2008 22:58:37 +0000

piuparts (0.33) unstable; urgency=low

  * Added --bindmount option, thanks to Aníbal Monsalve Salaza for the patch. 
    (Closes: #496186)

 -- Holger Levsen <holger@debian.org>  Sat, 08 Nov 2008 17:07:22 +0000

piuparts (0.32) unstable; urgency=low

  [ John Wright ]
  * Fix a typo in how-to-use-piuparts.txt.

  [ Holger Levsen ]
  * Replace all references to sarge and etch with etch and lenny. 
    (Closes: #466111)
  * Update README to reflect that piuparts runs fine in etch. 
  * Rename the post_upgrade custom script to post_distupgrade and introduce
    pre_distupgrade.
  * Bumped standards version, no changes needed.

 -- Holger Levsen <holger@debian.org>  Fri, 17 Oct 2008 10:28:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
     Lucas Nussbaum <lucas@lucas-nussbaum.net>
 Section: devel
 Priority: extra
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Build-Depends-Indep: docbook2x, python-support, docbook-xml
 XS-Python-Version: all
 Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/

## piuparts 0.38

=== Makefile ===
prefix = /usr/local
sbindir = $(prefix)/sbin
sharedir = $(prefix)/share
mandir = $(sharedir)/man
man1dir = $(mandir)/man1
libdir = $(prefix)/lib
docdir = $(prefix)/share/doc/piuparts/
site24 = $(libdir)/python2.4/site-packages
site25 = $(libdir)/python2.5/site-packages
etcdir = $(prefix)/etc
distribution=${shell dpkg-parsechangelog | sed -n 's/^Distribution: *//p'}
ifeq ($(distribution),UNRELEASED)
version=${shell echo "`dpkg-parsechangelog | sed -n 's/^Version: *//p'`~`date +%Y%m%d%H%M`"}
else
version=${shell dpkg-parsechangelog | sed -n 's/^Version: *//p'}
endif

ignore = -I fdmount -N

all: install-conf install-doc install

install-doc:
	# build and install manual 
	# the first a2x call is to workaround 559305 in sid, while the 2nd is for lenny
	a2x --copy -a toc -a toclevels=3 -f xhtml -r /etc/asciidoc/ README.txt || \
	  a2x --copy -a toc -a toclevels=3 -f xhtml README.txt
	install -d $(docdir)/
	for file in README.txt README.html docbook-xsl.css ; do \
	    install -m 0755 $$file $(docdir)/ ; done
	# build and install manpage
	a2x -f manpage piuparts.1.txt
	install -d $(man1dir) 
	install -m 0644 piuparts.1 $(man1dir)
	gzip -9f $(man1dir)/piuparts.1
	a2x --copy -f xhtml piuparts.1.txt
	install -m 0755 piuparts.1.html $(docdir)

install-conf:
	install -d $(etcdir)/piuparts
	install -m 0644 piuparts.conf.sample $(etcdir)/piuparts/piuparts.conf

install:
	install -d $(sbindir) 
	echo $(version)
	sed -e 's/__PIUPARTS_VERSION__/$(version)/g' piuparts.py > piuparts
	install piuparts $(sbindir)/piuparts
	
	install -d $(sharedir)/piuparts
	for file in piuparts-slave piuparts-master piuparts-report piuparts-analyze; do \
	    install -m 0755 $$file.py $(sharedir)/piuparts/$$file ; done
	
	install -d $(site24)/piupartslib
	install -d $(site25)/piupartslib
	install -m 0644 piupartslib/*.py $(site24)/piupartslib
	install -m 0644 piupartslib/*.py $(site25)/piupartslib

check:
	python piuparts.py unittest
	python unittests.py

clean:
	rm -rf piuparts.1 piuparts.1.xml piuparts.1.html piuparts README.xml README.html docbook-xsl.css piuparts.html

=== debian/changelog ===
piuparts (0.38) unstable; urgency=low

  * piuparts.py:
    - Add support for using LVM snapshots. Thanks to
      Patrick Schoenfeld for the patch. (Closes: #559449)
    - Add support for warning on broken symlinks. Thanks to Carl Chenet for
      the patch. (Closes: #440151)  
    - Make --help usuable without needing to be run as root. (Closes: #547379)
    - --skip-minimize is now the default. This is because debootstrap is called
      with --variant=minbase instead of --resolv-deps now and because if a 
      base.tgz or an lvm snapshot is specified, piuparts should not touch it.
      (Closes: #539142)
      Introduce a new option, --minimize, to minimize a chroot with debfoster.
      (This is the old default behaviour. In future versions the --minimize
      option might be removed again.)
    - Add two new options: --keyring to specify the keyring to use with
      debootstrap (defaults to /usr/share/keyrings/debian-archive-keyring.gpg)
      and --do-not-verify-signatures to not use --keyring with debootstrap.
      (Closes: #545907)
      In the chroots, APT::Get::AllowUnauthenticated is set accordingly in
      /etc/apt/apt.conf.
    - Add new option, --pedantic-purge-test, to tell piuparts to be pedantic 
      when checking if a purged package leaves files behind. If this option is
      not set, files left in /tmp are ignored. (Closes: #528266)
    - Add new option, --dpkg-force-confdef, to make dpkg use --force-confdev,
      which lets dpkg always choose the default action when a modified conffile
      is found. This options will make piuparts ignore errors it was designed
      to report and therefore should only be used to hide problems in
      dependent packages. (Closes: #466118)
    - Add another type of custom-scripts, post_setup_, which are executed after
      the chroot was setup. (Closes: #466043)
    - Create policy-rc.d in 2nd chroot when using -b. (Closes: #466049)
      Thanks again to Patrick Schoenfeld for his help.
  * piuparts-report: report broken symlinks.
  * piuparts-slave: 
    - gracefully deal with upgrade-test-distros and upgrade-test-chroot-tgz 
      not being set in the configuration. Thanks to Carl Chenet and Patrick 
      Schoenfeld for the patch. (Closes: #519192)
    - new default value for idle-sleep, 300 instead of 10 seconds. Also the
      slave will now only sleep if there is nothing to do for any section.
  * Makefile: workaround 559305 by calling a2x twice.   
  * Update debian/NEWS.
  * Replace all references to sarge and etch with ones to lenny and squeeze.  

 -- Holger Levsen <holger@debian.org>  Thu, 17 Dec 2009 14:10:27 +0000

piuparts (0.37) unstable; urgency=low

  * piuparts-report.py: report packages with update-rc.d warnings and those 
    failing due to insserv errors. (Closes: #546540) 
  * Fix typo in NEWS.Debian, thanks to Justin Rye for spotting it. 
    (Closes: #547439)
  * piuparts.py: 
    - added to self.ignored_patterns:
      - /var/cache/man(/.*)? (Closes: #550953)
      - /var/lib/insserv/run.*.log
      - /var/lib/mercurial-server(/.*)?
    - removed from self.ignored_files:
      - /var/cache/man/index.db
  * fix typo in -i option in manpage (Closes: #555202), thanks to James Vega
    for spotting it.
  * Make "lucid" the default Ubuntu distribution (Closes: #559047), thanks to
    Krzysztof Klimonda.
  * fix FTBFS by adding "-r /etc/asciidoc" to the a2x call in Makefile, thanks
    to Michael Vogt. (Closes: #559299)

 -- Holger Levsen <holger@debian.org>  Thu, 03 Dec 2009 13:25:43 +0000

piuparts (0.36) unstable; urgency=low

  [ Holger Levsen ]
  * The "For me. For you. For everybody." release.
  * Break backwards compatibility of the configuration files for master-slave-
    mode. Merge those three into one: /etc/piuparts/piuparts/piuparts.conf.
    Introduce a new global section in piuparts.conf which is shared among the
    other sections there. 
  * piuparts.py:
    - add check whether scriptsdir exits, to fail gracefully if not. 
    - copy scriptsdir to chroot also when doing upgrade tests.
    - added to self.ignored_files:
      - /etc/shadow and /etc/shadow- (just as /etc/passwd* and /etc/group*)
      - /var/games (see #524461)
      - /etc/apt/trusted.gpg and /etc/apt/trusted.gpg~ (just as 
        /etc/apt/trustdb.gpg and other backup files)
    - added to self.ignored_patterns:
      -  /var/lib/dpkg/triggers/*
      -  /var/lib/ldap(/.*)? (see #527898)
      -  /var/backups/.*
    - modified self.ignored_patters:
      - ignore everything in /tmp, not just in /tmp/scripts (see #528266)
    - configure apt in chroots to not install recommends and suggests.
    - add support for scanning for packages in changes files, thanks to Andres
      Mejia for the patch. (Closes: #352940)
    - change some methods from using 'args' to 'package_list'. This more 
      accurately represents what is being passed into these methods now. 
    - add an optional parameter to panic() method to specify what exit status
      to use. Also thanks to Andres.
    - add advice how to read the logfile to the top of the logfiles produced.
    - add "FAIL: " to logging output for seven more failure types, so that it
      becomes easier to group failure causes.
    - allow piuparts to be stopped with control-C. Thanks to Carl Chenet for
      the patch. (Closes: #523958)
    - fail gracefully if piuparts is run as non-root user. Thanks to Ignace
      Mouzannar for the patch. (Closes: #538273)
  * piupartslib/packagesdb.py:
    - change the test whether a package is testable to check whether the 
      package is of priority "required", and not whether it's "Essential".
    - rename status "essential-required-important" to "essential-required" 
      as important packages can be tested like all the others.
    - handle binNMUs where the Source header in the Packages file includes the 
      Version and the Source package name in one line.


=== debian/control ===
Source: piuparts
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ian@davenant.greenend.org.uk>, 
    Holger Levsen <holger@debian.org>
Section: devel
Priority: extra
Standards-Version: 3.8.3
Build-Depends: debhelper (>=5.0.42), dpkg-dev (>=1.13.26)
Build-Depends-Indep: python-support, asciidoc, xmlto
Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/
Homepage: http://piuparts.debian.org

Package: piuparts
Architecture: all
Depends: apt, python (>> 2.4), debootstrap (>= 0.3.3), lsof, lsb-release, 
    python-debian
Suggests: python-rpy, ghostscript
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 . 
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.

## piuparts 0.38ubuntu3

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 man1dir = $(mandir)/man1
 libdir = $(prefix)/lib
 docdir = $(prefix)/share/doc/piuparts/
-site24 = $(libdir)/python2.4/site-packages
 site25 = $(libdir)/python2.5/site-packages
+site26 = $(libdir)/python2.6/dist-packages
 etcdir = $(prefix)/etc
 distribution=${shell dpkg-parsechangelog | sed -n 's/^Distribution: *//p'}
 ifeq ($(distribution),UNRELEASED)
@@ -49,10 +49,10 @@
 	for file in piuparts-slave piuparts-master piuparts-report piuparts-analyze; do \
 	    install -m 0755 $$file.py $(sharedir)/piuparts/$$file ; done
 	
-	install -d $(site24)/piupartslib
 	install -d $(site25)/piupartslib
-	install -m 0644 piupartslib/*.py $(site24)/piupartslib
+	install -d $(site26)/piupartslib
 	install -m 0644 piupartslib/*.py $(site25)/piupartslib
+	install -m 0644 piupartslib/*.py $(site26)/piupartslib
 
 check:
 	python piuparts.py unittest

=== debian/changelog ===
piuparts (0.38ubuntu3) lucid; urgency=low

  * Deleted previously wrongly added home/fabrice directory. Thanks Matthieu for
    notifying

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 05 Feb 2010 05:50:11 +0000

piuparts (0.38ubuntu2) lucid; urgency=low

  * piuparts.py: added log-level option, to allow the user to choose the log 
    level, and thus limit the output to info and/or error messages instead of
    default debug level. The option values are: error, info, dump and debug.
    Also added an info message about successful installation of deb files.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 27 Jan 2010 05:23:02 +0000

piuparts (0.38ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes: (LP: #502651)
    - Build for Python 2.6 too, no longer do it for 2.4, unsupported.
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
    - dropped changes:
      + Set default Ubuntu distribution to lucid (applied upstream)

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Tue, 05 Jan 2010 18:02:43 -0500

piuparts (0.36ubuntu2) lucid; urgency=low

  * Makefile:
    - fix FTBFS by adding "-r /etc/asciidoc" to the a2x call

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Dec 2009 13:27:11 +0100

piuparts (0.36ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Build for Python 2.6 too, no longer do it for 2.4, unsupported.
    - Set default Ubuntu distribution to lucid
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 03 Dec 2009 11:37:04 +0100

## piuparts 0.38ubuntu3.10.04.1

=== debian/changelog ===
piuparts (0.38ubuntu3.10.04.1) lucid-proposed; urgency=low

  * set default keyring name to ubuntu-archive-keyring.gpg (LP: #807545)
    backported from oneiric

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 08 Nov 2011 12:04:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: piuparts
-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
 Uploaders: Ian Jackson <ian@davenant.greenend.org.uk>, 
     Holger Levsen <holger@debian.org>
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build:

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installman
	$(MAKE) prefix=$(CURDIR)/debian/piuparts/usr etcdir=$(CURDIR)/debian/piuparts/etc all

binary-arch:
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install

## piuparts 0.38ubuntu3.10.10.1

=== debian/changelog ===
piuparts (0.38ubuntu3.10.10.1) maverick-proposed; urgency=low

  * set default keyring name to ubuntu-archive-keyring.gpg (LP: #807545)
    backported from oneiric

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 08 Nov 2011 12:04:52 +0000

## piuparts 0.39ubuntu1

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 man1dir = $(mandir)/man1
 libdir = $(prefix)/lib
 docdir = $(prefix)/share/doc/piuparts/
-site25 = $(libdir)/python2.5/site-packages
-site26 = $(libdir)/python2.6/dist-packages
+site26 = $(libdir)/python2.6/site-packages
+site27 = $(libdir)/python2.7/site-packages
 etcdir = $(prefix)/etc
 distribution=${shell dpkg-parsechangelog | sed -n 's/^Distribution: *//p'}
 ifeq ($(distribution),UNRELEASED)
@@ -49,10 +49,10 @@
 	for file in piuparts-slave piuparts-master piuparts-report piuparts-analyze; do \
 	    install -m 0755 $$file.py $(sharedir)/piuparts/$$file ; done
 	
-	install -d $(site25)/piupartslib
 	install -d $(site26)/piupartslib
-	install -m 0644 piupartslib/*.py $(site25)/piupartslib
+	install -d $(site27)/piupartslib
 	install -m 0644 piupartslib/*.py $(site26)/piupartslib
+	install -m 0644 piupartslib/*.py $(site27)/piupartslib
 
 check:
 	python piuparts.py unittest

=== debian/changelog ===
piuparts (0.39ubuntu1) natty; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
  * Makefile: added python2.7 support and drop python2.5 support (unsupported)
  * piuparts.py: 
    - set default distribution to natty
    - set default keyring name to ubuntu-archive-keyring.pgp

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 21 Feb 2011 07:26:45 +0100

piuparts (0.39) unstable; urgency=low

  [ Holger Levsen ]
  * The vintage of 2010 release!
  * piuparts-report.py: 
     - report packages which failed
       - due to broken maintainer scripts, 
       - due to output from cron after removal,
       - due to not enough force being,
       - due to a problem with pre-depends,
       - due to files having been modified after purge,
       - due to files having disappeared after purge and
       - due to problems configuring a database.
     - only report about (un)owned files and directories and symlink issues in
       sid - that's hardcoded as it's not practical to track them anywhere else 
       anyway. And at least for broken symlinks this will also stay like this
       for a long time.
     - visual improvements in the output.
     - ignore udebs and binaries from other archs too.
     - graph is generated using all the available data points.
  * piupartslib/packagesdb.py: 
    - automatically break circular dependencies when there are only circular
      dependencies left, using a configurable list of circular depdencies in 
      piuparts.conf (Closes: #526046)
        The list of circular depends is taken from a script written by Robert
      Lemmen available at http://debian.semistable.com/debgraph.out.html -
      obviously it would be better to merge this into piuparts directly.
        Note that the dependency resovler is still buggy, the state
      waiting-for-dependency-to-be-tested still contains some packages
      with failed depends (due to them being dependent on packages with
      circular depends). This bug has no effect other than that (so the state 
      waiting-to-be-tested is calculated correctly). This bug is also no 
      regression.
    - get rid of the longtime unused states "fixed" and "fix-not-yet-tested"
      (also in piuparts-master and piuparts-report).
    - forget reservations of untestable packages.
  * piuparts-slave.py: 
    - fix crash when going into sleep when idle. 
    - add support for only doing upgrade tests (without the basic test in the
      upgrade target distro).
    - honor mirror configuration option also for upgrade-tests.
    - also do upgrade tests if the version of a package being tested (the one 
      in the upgraded distro) is not available in the distro being upgraded 
      from. (This is a very short test, but a successfully one.)
    - make configuration setting "distro" to not default to any distro.
  * piuparts.py: 
    - new option: --log-level to specify the verbosity of piuparts
      output. Thanks to Fabrice Coutadeur for the patch! (Closes: #567190)
    - new option: --warn-on-leftovers-after-purge to not fail if a package
      leaves files behind after purge. (Closes: #566599)
    - add to self.ignored_files: 
      - /var/lib/apt/lists/partial/.delete-me-later
      - /var/log/alternatives.log (Closes: #591966)
      - /var/log/apt/history.log (Closes: #594964)
      - /usr/share/fonts/X11/misc/fonts.alias (Closes: #576321)
    - add to self.ignored_patterns: 
      - /etc/init.d/.depend.*
      - /var/mail(/.*)? - this used to be just /var/mail/.*
      - /var/lib//update-rc.d(/.*)? (Closes: #605127)
    - create temporary DEBIAN directory for the piuparts-depends-dummy package
      with 0755 perms regardless of the umask of the calling shell. 
      (Closes: #573904)
    - fix --do-not-verify-signatures option (Closes: #574936) - thanks to
      Cleto Martin Angelina for the patch.
    - make Chroot.diff_meta_data() special case and ignore files matching 
      (/etc/rc.\.d/)[SK][0-9]{2}(.*)$ so that piuparts doesn't complain about
      initscripts renamed by insserv. Thanks to by Andreas Beckmann for the
      patch! (Closes: #586793)
    - remove logrotate and depended packages after the test. (Closes: #602409)
      This is a fix for the incomplete patch for #566597. Again, this is a
      hardcoded list. :-(
    - new custom script: pre_remove_ (Closes: #539146)
    - set environment variable PIUPARTS_OBJECTS in custom scripts to a space
      separated list of packages / changes files being tested.
    - do not call apt-get with --no-remove when installing packages. 
      (Closes: #603453)
    - apply patch by Andres Mejia to fix parsing of the --force-confdef option
      and also to configure apt to use that option. Thanks, Andres. 
      (Closes: #605475)
    - don't panic if package is not known by apt-get, this probably just means
      a package not yet in the archive is being tested. (Closes: #566672)
      Thanks to Cleto Martin Angelina for the patch!
    - fix parsing of the options --end-meta and --save-end-meta.
    - supply help texts for --end-meta and --save-end-meta options, also add
      comments to install_and_upgrade_between_distros() to make the code
      easier to understand and hopefully improve in future. (Closes: #560050).
    - add logging to install_and_upgrade_between_distros() to point people to
      read the functions source code if they wonder why the log (for distro 
      upgrade tests) looks like it looks.
  * piuparts.1.txt: 
    - update the pointer to custom-scripts.txt to point to README.txt, as
      those two files have been merged. Thanks to Gregor Hermann for 
      spotting this. (Closes: #574504)


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: piuparts
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
-Uploaders: Ian Jackson <ian@davenant.greenend.org.uk>, 
-    Holger Levsen <holger@debian.org>
+Uploaders: Holger Levsen <holger@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>=5.0.42), dpkg-dev (>=1.13.26)
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>=7)
 Build-Depends-Indep: python-support, asciidoc, xmlto
 Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/piuparts/trunk/
@@ -14,8 +13,8 @@
 
 Package: piuparts
 Architecture: all
-Depends: apt, python (>> 2.4), debootstrap (>= 0.3.3), lsof, lsb-release, 
-    python-debian
+Depends: apt, python (>> 2.5), debootstrap, lsof, lsb-release, 
+    python-debian, ${misc:Depends}
 Suggests: python-rpy, ghostscript
 Description: .deb package installation, upgrading, and removal testing tool
  piuparts tests that .deb packages (as used by Debian) handle

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	dh_installman
 	$(MAKE) prefix=$(CURDIR)/debian/piuparts/usr etcdir=$(CURDIR)/debian/piuparts/etc all

## piuparts 0.40ubuntu1

=== Makefile ===
--- 
+++ 
@@ -21,9 +21,7 @@
 
 install-doc:
 	# build and install manual 
-	# the first a2x call is to workaround 559305 in sid, while the 2nd is for lenny
-	a2x --copy -a toc -a toclevels=3 -f xhtml -r /etc/asciidoc/ README.txt || \
-	  a2x --copy -a toc -a toclevels=3 -f xhtml README.txt
+	a2x --copy -a toc -a toclevels=3 -f xhtml -r /etc/asciidoc/ README.txt
 	install -d $(docdir)/
 	for file in README.txt README.html docbook-xsl.css ; do \
 	    install -m 0755 $$file $(docdir)/ ; done

=== debian/changelog ===
piuparts (0.40ubuntu1) oneiric; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - In Ubuntu, debfoster tries to remove packages with priority required
      even if MaxPriority=required is used. Setting MaxPriority to important
      reduces the number of packages to be removed as well as false positives
      generated by unwanted package removals. This can be dropped if a
      proper fix for debfoster is found.
    - Makefile: added python2.7 support and drop python2.5 support (unsupported)
    - piuparts.py: 
     + set default keyring name to ubuntu-archive-keyring.pgp
  *  piuparts.py: set default distribution to oneiric

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 18 Aug 2011 15:32:04 -0400

piuparts (0.40) unstable; urgency=low

  * piuparts.py: 
    - make "natty" the default Ubuntu distribution.
    - add to self.ignored_files: 
      - /var/log/bootstrap.log 
  * debian/control: depend on ${python:Depends} instead of just python. Thanks
    to Jakub Wilk. (Closes: #614617)
  * *.py: do not use Python built-in function names as variable name. Thanks
    to Carl Chenet for a first patch and Scott Schaefer for the applied one.
    (Closes: #523950)
  * Bump Standards-Version to 3.9.2, no changes necessary.
  * debian/rules: add empty build-arch and build-indep to appease lintian.
  * Makefile: drop workaround for #559305 in lenny.

 -- Holger Levsen <holger@debian.org>  Sat, 25 Jun 2011 21:20:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Holger Levsen <holger@debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>=7)
 Build-Depends-Indep: python-support, asciidoc, xmlto
 Vcs-Svn: svn://svn.debian.org/svn/piuparts/trunk/
@@ -13,7 +13,7 @@
 
 Package: piuparts
 Architecture: all
-Depends: apt, python (>> 2.5), debootstrap, lsof, lsb-release, 
+Depends: apt, ${python:Depends}, debootstrap, lsof, lsb-release, 
     python-debian, ${misc:Depends}
 Suggests: python-rpy, ghostscript
 Description: .deb package installation, upgrading, and removal testing tool

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+build-arch:
+build-indep:
 build:
 
 clean:
